Bug 1291036 - [abrt] khelpcenter: KNotification::flags(): khelpcenter killed by SIGSEGV
[abrt] khelpcenter: KNotification::flags(): khelpcenter killed by SIGSEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: khelpcenter (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ef01e01a07bc21ac6929b075937...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 21:14 EST by Chris Hubick
Modified: 2016-08-08 16:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-08 16:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.38 KB, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: core_backtrace (6.15 KB, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: dso_list (18.69 KB, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: environ (1.75 KB, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: maps (90.01 KB, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: mountinfo (3.40 KB, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: open_fds (1.29 KB, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details
File: var_log_messages (320 bytes, text/plain)
2015-12-12 21:14 EST, Chris Hubick
no flags Details

  None (edit)
Description Chris Hubick 2015-12-12 21:14:40 EST
Description of problem:
In network connection editor, I clicked 'Help' menu, then 'Connection editor Handbook'. It displayed a dialog that help was not found, and then poof.

Version-Release number of selected component:
khelpcenter-5.5.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/khelpcenter help:kde5-nm-connection-editor
crash_function: KNotification::flags
executable:     /usr/bin/khelpcenter
global_pid:     2235
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 KNotification::flags at ../../src/knotification.cpp:233
 #1 NotifyByAudio::onAudioFinished at ../../src/notifybyaudio.cpp:140
 #2 NotifyByAudio::qt_static_metacall at moc_notifybyaudio.cpp:83
 #3 QMetaObject::activate at kernel/qobject.cpp:3713
 #5 Phonon::MediaObject::finished at /usr/src/debug/phonon-4.8.3/x86_64-redhat-linux-gnu-Qt5/phonon/moc_mediaobject.cpp:426
 #6 Phonon::MediaObject::qt_static_metacall at /usr/src/debug/phonon-4.8.3/x86_64-redhat-linux-gnu-Qt5/phonon/moc_mediaobject.cpp:183
 #7 QObject::event at kernel/qobject.cpp:1239
 #8 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #9 QApplication::notify at kernel/qapplication.cpp:3499
 #10 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
Comment 1 Chris Hubick 2015-12-12 21:14:43 EST
Created attachment 1105253 [details]
File: backtrace
Comment 2 Chris Hubick 2015-12-12 21:14:44 EST
Created attachment 1105254 [details]
File: cgroup
Comment 3 Chris Hubick 2015-12-12 21:14:45 EST
Created attachment 1105255 [details]
File: core_backtrace
Comment 4 Chris Hubick 2015-12-12 21:14:46 EST
Created attachment 1105256 [details]
File: dso_list
Comment 5 Chris Hubick 2015-12-12 21:14:48 EST
Created attachment 1105257 [details]
File: environ
Comment 6 Chris Hubick 2015-12-12 21:14:49 EST
Created attachment 1105258 [details]
File: exploitable
Comment 7 Chris Hubick 2015-12-12 21:14:49 EST
Created attachment 1105259 [details]
File: limits
Comment 8 Chris Hubick 2015-12-12 21:14:51 EST
Created attachment 1105260 [details]
File: maps
Comment 9 Chris Hubick 2015-12-12 21:14:52 EST
Created attachment 1105261 [details]
File: mountinfo
Comment 10 Chris Hubick 2015-12-12 21:14:53 EST
Created attachment 1105262 [details]
File: namespaces
Comment 11 Chris Hubick 2015-12-12 21:14:53 EST
Created attachment 1105263 [details]
File: open_fds
Comment 12 Chris Hubick 2015-12-12 21:14:54 EST
Created attachment 1105264 [details]
File: proc_pid_status
Comment 13 Chris Hubick 2015-12-12 21:14:55 EST
Created attachment 1105265 [details]
File: var_log_messages
Comment 14 Luigi Toscano 2016-07-23 10:12:08 EDT
Hi, sorry for the late answer: this looks like a bug in the underlying notification system. Does it happen again with the newer khelpcenter and newer phonon libraries?
Comment 15 Chris Hubick 2016-08-08 10:32:19 EDT
I'm sorry, I can't provide the needed info, as I no longer have Linux installed on any of my PC's. This may have been related to bug 1278002 or something.

Note You need to log in before you can comment on or make changes to this bug.